<id>
Custom User Titles V1.0 for YaBB 2.3
</id>

<version>
1.0
</version>

<mod info>
Allows Administrators and Global Moderators (if allowed) to add Custom User Titles to Members

Version History
1.0 - First release by Derek Barnstorm - 6th December 2008

Files to edit
Admin/ModList.pl 
Languages/English/Profile.lng
Sources/Display.pl 
Sources/Load.pl 
Sources/MyCenter.pl 
Sources/Profile.pl 
Sources/System.pl 

Credits
There was a version of this Mod for YaBB 1. I believe the original author was Godai, and it was also updated by rehlbe and mats. 
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mod_cutitle = "Custom User Titles V1.0|Derek Barnstorm|Allows Administrators and Global Moderators (if allowed) to add Custom User Titles to Members|1.0|6th December 2008";
	push (@installed_mods, "$mod_cutitle");
</add before>

<edit file>
Languages/English/Profile.lng
</edit file>

<search for>
'233' => 'Date Registered',
</search for>

<add before>
'cut' => 'Custom User Title',
</add before>

<edit file>
Sources/Display.pl
</edit file>

<search for>
			$memberinfo = "$memberinfo{$musername}$addmembergroup{$musername}";
</search for>

<replace>
			$memberinfo = "$memberinfo{$musername}${$uid.$musername}{'cutitle'}$addmembergroup{$musername}";
</replace>

<edit file>
Sources/Load.pl
</edit file>

<search for>
	} else {
		${$uid.$user}{'gender'} = '';
	}
</search for>

<add after>

    if (${$uid.$user}{'cutitle'}) {
		${$uid.$user}{'cutitle'} = ${$uid.$user}{'cutitle'} ? qq~<br /><span style="color: ${$uid.$user}{'cutitlecol'}; font-size: 10px; font-weight: bold;">${$uid.$user}{'cutitle'}</span>~ : '';
	} else {
		${$uid.$user}{'cutitle'} = '';
	}

</add after>

<edit file>
Sources/MyCenter.pl
</edit file>

<search for>
		$memberinfo  = "$memberinfo{$username}$addmembergroup{$username}";
</search for>

<replace>
		$memberinfo  = "$memberinfo{$username}${$uid.$username}{'cutitle'}$addmembergroup{$username}";
</replace>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
           <select name="addgroup" size="$selsize" multiple="multiple">
           $tta
 </td>
 </tr>
		~;
	}
</search for>

<add after>
  $showProfile .= qq~
 <tr class="windowbg">
   <td width="320" align="left"><b>$profile_txt{'cut'}:</b></td>                                                                                                                                                                                                                                                                                                                                          
   <td align="left" valign="middle"><span style="vertical-align: middle;"><input type="text" maxlength="100" name="cutitle" size="30" value="${$uid.$user}{'cutitle'}" /> <span style="background-color:${$uid.$user}{'cutitlecol'}">&nbsp; &nbsp; &nbsp;</span> <input type="text" maxlength="7" name="cutitlecol" size="7" value="${$uid.$user}{'cutitlecol'}" /></span><img src="$imagesdir/palette1.gif" style="vertical-align: middle; cursor: pointer;" onclick="window.open('$scripturl?action=palette;task=templ', '', 'height=308,width=302,menubar=no,toolbar=no,scrollbars=no')" alt="" border="0" /></td>
			<script language="JavaScript1.2" type="text/javascript">
			<!--
			function previewColor(color) {
				   document.getElementsByName("cutitlecol")[0].value = color;
			}
			//-->
			</script>
 </tr>
       ~;
</add after>

<search for>
		${$uid.$user}{'addgroups'} = $member{'addgroup'};
</search for>

<add after>
	    ${$uid.$user}{'cutitle'} = $member{'cutitle'};
	    ${$uid.$user}{'cutitlecol'} = $member{'cutitlecol'};
</add after>

<search for>
	my ($pic_row, $buddybutton, $row_addgrp, $row_gender, $row_age, $row_location, $row_icq, $row_aim, $row_yim, $row_msn, $row_gtalk, $row_skype, $row_email, $row_website, $row_signature, $showusertext);
</search for>

<replace>
	my ($pic_row, $buddybutton, $row_addgrp, $row_cutitle, $row_gender, $row_age, $row_location, $row_icq, $row_aim, $row_yim, $row_msn, $row_gtalk, $row_skype, $row_email, $row_website, $row_signature, $showusertext);
</replace>

<search for>
			$pic
			</div>
		~;
	}
</search for>

<add after>

		if (${$uid.$user}{'cutitle'}) {
		$row_cutitle .= qq~<br /><span style="color: ${$uid.$user}{'cutitlecol'}; font-weight: bold;">${$uid.$user}{'cutitle'}</span>~;
	}

</add after>

<search for>
			$col_title{$user}
</search for>

<add after>
			$row_cutitle
</add after>

<edit file>
Sources/System.pl
</edit file>

<search for>
	my @tags = qw(password realname email regdate regreason webtitle weburl spamcount spamtime signature postcount position addgroups icq aim yim skype gender usertext userpic regtime location bday timeselect timeoffset timeformat hidemail msn gtalk template language lastonline lastpost lastim im_ignorelist im_popup im_imspop notify_me board_notifications thread_notifications cathide postlayout session sesquest sesanswer favorites dsttimeoffset pageindex lastips onlinealert pmactprev pmmessprev pmviewMess buddylist offlinestatus awaysubj awayreply awayreplysent stealth reversetopic);
</search for>

<add after>
	push(@tags, "cutitle", "cutitlecol");
</add after>

